/* $Header: mc_stack.c,v 2.1 89/09/08 11:52:38 gary Locked $ */
#include "common.h"
#include "micro.h"
#include "manager.h"


/* () Pop stack and return old top value */
IPtr     mcPop()
{
    IPtr     x;

    if (Top <= AStack)
	RT_ERROR("Stack Underflow");
    x = R(Top);
    Top--;
    return x;
}


/* () Is stack empty? */
Bool    mcIsEmpty()
{
    return Top <= AStack;
}

/* () Make stack empty */
void    mcMkEmpty()
{
    Top = AStack;
}



/* Push label L on stack */
void    mcPLabel(L)
    C_Label L;
{
    Reg     (new);

    R(new) = New_Block(Label, 0);
    Label_Value(R(new)) = L;
}
